Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/37305/?format=api
{ "ob_id": 37305, "uuid": "14dfd0ba5212422c9c72b5184cbf5330", "title": "BIOARC: ground site real-time bioaerosol spectrometer datasets (2019-2021)", "abstract": "These datasets contain total, non-fluorescent and bio-fluorescent aerosol particle concentrations and particle size distributions collected with University of Manchester WIBS-4M an MBS-M spectrometers during the Towards a UK Airborne Bioaerosol Climatology (BIOARC) project. \r\n\r\nData was collected at the following ground sites:\r\nCardington Meteorological Research Unit: MBS-M, 11/04/2019 - 09/06/2019\r\nChilbolton Observatory: WIBS-4D, 14/05/2019 - 14/06/2019\r\nWeybourne Atmospheric Observatory: WIBS-4M, 03/06/2019 - 01/08/2019\r\nChilbolton Observatory: WIBS-4M, 10/09/2020 - 21/06/2021\r\nWeybourne Atmospheric Observatory: MBS-M, 15/09/2020 - 03/11/2019\r\nWeybourne Atmospheric Observatory: MBS-M, 15/04/2021 - 16/07/2021\r\n\r\nNERC reference NE/S002049/1", "keywords": "NE/S002049/1", "publicationState": "published", "dataPublishedTime": "2022-05-20T11:15:52", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/37306/?format=api", "dataPath": "/badc/deposited2022/bioarc-realtime-bioaerosol/data/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 74595685, "numberOfFiles": 8, "fileFormat": "Data are NetCDF formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/10302/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/3458/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55975/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/85611/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/85612/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/85613/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/85614/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/85615/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/85616/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/85617/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/85618/?format=api" ], "dataLineage": "Data were collected, quality controlled and prepared for archiving by the instrument scientists before upload to the Centre for Environmental Data Analysis (CEDA) for long term archiving.\r\nDetails of data processing methodology can be found in Crawford et al., (2015), DOI: 10.5194/amt-8-4979-2015 and Crawford et al., (2020), DOI: 10.3390/atmos11101039", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/33386/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178223/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178224/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178225/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178226/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178227/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178228/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178229/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/178230/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/37307/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }